Name:           perl-XML-Tidy
Version:        1.12.B55J2qn
Release:        11%{?dist}
Summary:        Tidy indenting of XML documents

Group:          Development/Libraries
License:        GPLv2
URL:            http://search.cpan.org/dist/XML-Tidy
Source0:        http://search.cpan.org/CPAN/authors/id/P/PI/PIP/XML-Tidy-%{version}.tgz
# Define POD encoding, CPAN RT#85592
Patch0:         XML-Tidy-1.12.B55J2qn-Define-POD-encoding.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Math::BaseCnv)
BuildRequires:  perl(XML::XPath::XMLParser)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This module creates XML document objects (with inheritance from XML::XPath) to
tidy mixed-content (ie. non-data) text node indenting. There are also some
other handy member functions to compress && expand your XML document object
(into either a compact XML representation or a binary one).


%prep
%setup -q -n XML-Tidy-%{version}
%patch0 -p1
for i in README; do {
  iconv -f iso-8859-1 -t utf-8 $i > $i.conv \
  && mv $i.conv $i;
};
done;


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/xmltidy
%{perl_vendorlib}/*
%{_mandir}/man3/XML::Tidy.3pm.gz


%changelog
* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.12.B55J2qn-11
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.B55J2qn-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.B55J2qn-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 1.12.B55J2qn-8
- Perl 5.18 rebuild
- Define POD encoding (CPAN RT#85592)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.B55J2qn-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.B55J2qn-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Petr Pisar <ppisar@redhat.com> - 1.12.B55J2qn-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.B55J2qn-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.12.B55J2qn-3
- Perl mass rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.12.B55J2qn-2
- Perl mass rebuild

* Thu May 12 2011 Xavier Bachelot <xavier@bachelot.org> - 1.12.B55J2qn-1
- Update to 1.12.B55J2qn.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.A7RJKwl-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.6.A7RJKwl-2
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Dec 17 2010 Xavier Bachelot <xavier@bachelot.org> - 1.6.A7RJKwl-1
- Update to 1.6.A7RJKwl.

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.2.54HJnFa-8
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.2.54HJnFa-7
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.54HJnFa-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.54HJnFa-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.54HJnFa-4
- rebuild for new perl

* Wed Dec 26 2007 Xavier Bachelot <xavier@bachelot.org> - 1.2.54HJnFa-3
- Add missing BR:.

* Sat Dec 22 2007 Xavier Bachelot <xavier@bachelot.org> - 1.2.54HJnFa-2
- Clean up spec.

* Thu Aug 30 2007 Xavier Bachelot <xavier@bachelot.org> - 1.2.54HJnFa-1
- Initial build.
